%define _prefix /usr
%define _default_patch_fuzz 2


# Warning: gnutls-devel will conflict with this on EL5. It must be removed from the chroot


Summary: Support libraries for Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-libraries
Version: 5.0.1
Release: 2.art
Source0: %{name}-%{version}.tar.gz
Patch0:	no-werror3.patch
Patch1: no-fstack-protector.patch
Patch2: lsc-rpm-fix.patch
License: GNU LGPLv2
URL: http://www.openvas.org
Group: System Environment/Libraries
Vendor: OpenVAS Development Team, http://www.openvas.org 
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}


# TODO: refine: gnutls-devel works with >= 1.4.4, definitly not with 1.0.8
BuildRequires: libtool, wmi
Requires: wmi

BuildRequires: openldap-devel
Requires: openldap

# Added for f12
%if 0%{?el6}%{?fc12}%{?fc13}%{?fc14}%{?fc15}%{?fc16}%{?fc17}%{?fc18}
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif

BuildRequires: doxygen 
BuildRequires: graphviz

# 3.0
BuildRequires: gpgme gpgme-devel bison 
BuildRequires: cmake
Requires: gpgme
Obsoletes: openvas-libnasl



%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
BuildRequires:  openvas-glib2-devel openvas-glib2
Requires: openvas-glib2
BuildRequires: e2fsprogs e2fsprogs-devel
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif

%if 0%{?el4}%{?el5}%{?fc7}
BuildRequires: compat-gnutls2, compat-gnutls2-devel
BuildConflicts: gnutls gnutls-devel
%else
BuildRequires: gnutls-devel 
%endif


%if 0%{?el4}
BuildRequires: libpcap
%else
#BuildRequires: %{_includedir}/pcap.h
BuildRequires: libpcap-devel
%endif

%description
openvas-libraries is the base library for the OpenVAS network
security scanner.

%package devel
Summary: Development files for openvas-libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
This package contains the development files (mainly C header files)
for openvas-libraries.

%if 0%{!?el5}
%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.
%endif


%prep

%setup -b 0 
#%setup -b 0  -n %{name}-%{version}+%{cvs}
%patch0 -p1
# Disable -fstack-protector on el4
%if 0%{?el4}
%patch1 -p1 
%endif
%patch2 -p1 

%build

%if 0%{?el4}
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}%{?fc6}%{?fc7}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/openvas/lib/ -L/usr/openvas/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib -I/usr/openvas/include"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/openvas/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/openvas/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/openvas/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el4}%{?el5}
  export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig:/usr/lib/pkgconfig:/usr/openvas/lib/pkgconfig/:/usr/openvas/lib64/pkgconfig/
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
%endif


cmake -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
	-DLIBDIR=%{_libdir} \
        -DLOCALSTATEDIR=%{_localstatedir} \
	-DBUILD_WITH_LDAP=ON

%{__make} 
%if 0%{!?el5}
%{__make} doc
%endif

%install
%if 0%{?el4}
  %ifarch x86_64
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/
  %else
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

make install  DESTDIR=$RPM_BUILD_ROOT

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/openvas-nasl
%{_libdir}/libopenvas_*
%{_mandir}/man1/openvas-nasl.1.gz
/usr/share/openvas/openvas-services
/usr/share/openvas/openvas-lsc-rpm-creator.sh


%files devel
%defattr(-,root,root,-)
#%{_bindir}/libopenvas-config
#%{_mandir}/man1/libopenvas-config.1.gz
%{_libdir}/pkgconfig/libopenvas.pc
%{_includedir}/openvas/

%if 0%{!?el5}
%files doc
%defattr(-,root,root,-)
%doc doc/generated/html
%doc doc/example.auth.conf
%doc doc/example.target.locators
%doc doc/signatures-howto.txt
%doc doc/test_ipv6_packet_forgery.nasl
%doc doc/wmi-howto.txt
%endif



%changelog
* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 5.0.1-2
- Update to 5.0.1

* Tue Apr 24 2012 Scott R. Shinn <scott@atomicorp.com> - 5.0.0-1
- Update to 5.0.0
- Add in documentation package

* Mon Nov 7 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.6-3
- Bugfix #XXX, correct md5sum for the lsc rpm creation script

* Fri Nov 4 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.6-1
- Update to 4.0.6

* Wed Jun 1 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.5-1
- Update to 4.0.5

* Wed May 4 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.4-1
- Update to 4.0.4

* Mon Mar 7 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.3-1
- Update to 4.0.3

* Tue Feb 23 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.2-1
- Update to 4.0.2
- Happy 40th Mike!

* Tue Feb 22 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.1-1
- Update to 4.0.1

* Thu Feb 3 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0.0-1
- Update to 4.0 final

* Wed Jan 19 2011 Scott R. Shinn <scott@atomicorp.com> - 4.0-0.3
- Update to 4.0-rc2

* Wed Dec 29 2010 Scott R. Shinn <scott@atomicorp.com> - 4.0-0.2
- Update to 4.0-rc1

* Fri Dec 3 2010 Scott R. Shinn <scott@atomicorp.com> - 4.0-beta2 
- Update to 4.0-beta2

* Sun Oct 17 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.3-2
- Rebuild libraries with wmi support

* Fri Sep 10 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.3-1
- Update to 3.1.3

* Thu Aug 26 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.2-1
- Update to 3.1.2

* Thu Jul 1 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.0-3
- Update to 3.1.0rc3

* Mon Jun 28 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.0-2
- Update to 3.1.0rc2

* Wed May 19 2010 Scott R. Shinn <scott@atomicorp.com> - 3.1.0-1
- Update to 3.1.0rc1

* Tue Apr 11 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.5-1
- Update to 3.0.5

* Wed Mar 3 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.4-1
- Update to 3.0.4

* Mon Feb 4 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.3-1
- Update to 3.0.3

* Mon Jan 11 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.1-1
- Update to 3.0.1

* Fri Dec 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 3.0.0-1
- Update to 3.0.0

* Tue Aug 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.4-1
- Update to 2.0.4

* Thu Jun 11 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.3-1
- Update to 2.0.3

* Fri Mar 6 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.2-1
- Update to 2.0.2

* Mon Feb 9 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.1-1
- Update to 2.0.1

* Tue Dec 30 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0-2
- Bugfix #XXX, added libtoolize before configure

* Mon Dec 22 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0
- Update to 2.0.0

* Thu Dec 11 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.rc1
- Update to 2.0.0.rc1

* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.beta2-1
- Update to 2.0.0.beta2
 
* Fri Nov 7 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.beta1-1
- Update to 2.0.0.beta1

* Wed Nov 5 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.2-1
- Update to 1.0.2
- Merge into Atomic

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
  - extended BuildRequires with libpcap-devel
* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
